import React from 'react';

declare const TEXT_AREA_CLASSNAME = "av-text-area";
declare const TEXT_AREA_WRAPPER_CLASSNAME = "av-text-area-wrapper";
declare const TEXT_AREA_HELPER_TEXT_CLASSNAME = "av-text-area-helper-text";
declare const TEXT_AREA_CONTROL_RIGHT_CLASSNAME = "av-text-area__control--right";

declare const TextArea: React.ForwardRefExoticComponent<{
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    helperTextOnFocus?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
    rightElement?: React.ReactElement;
    textAreaClassName?: string;
} & React.TextareaHTMLAttributes<HTMLTextAreaElement> & React.RefAttributes<HTMLTextAreaElement>>;

export { TEXT_AREA_CLASSNAME, TEXT_AREA_CONTROL_RIGHT_CLASSNAME, TEXT_AREA_HELPER_TEXT_CLASSNAME, TEXT_AREA_WRAPPER_CLASSNAME, TextArea };
